> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 고객 삭제

> 고객 정보를 삭제할 때 호출합니다.



## OpenAPI

````yaml /steppay_v1.json delete /api/v1/customers/{id}
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/customers/{id}:
    delete:
      tags:
        - 고객 API
      summary: 고객 삭제
      description: 고객 정보를 삭제할 때 호출합니다.
      operationId: v1_deleteCustomer
      parameters:
        - name: id
          in: path
          description: 삭제할 고객 번호
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: 정상적으로 삭제됨
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountApiresponse'
        '400':
          description: 파라미터 검증 실패
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountErrorresponse'
        '404':
          description: 삭제할 고객 정보를 찾지 못 함
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AccountApiresponse'
components:
  schemas:
    AccountApiresponse:
      type: object
      properties:
        success:
          type: boolean
          writeOnly: true
        message:
          type: string
          writeOnly: true
    AccountErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    ReturnError:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````